Name:           python-pyasn1-modules
Version:        0.0.7
Release:        %mkrel 3
Epoch:          1
Url:            http://pyasn1.sf.net/
Summary:        Collection of protocols modules written in ASN.1 language
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/p/pyasn1-modules/pyasn1-modules-%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python-pyasn1
BuildArch:      noarch

%rename pyasn1-modules

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-pyasn1-modules
Summary:        Collection of protocols modules written in ASN.1 language
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
Requires:       python3-pyasn1

%description -n python3-pyasn1-modules
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n pyasn1-modules-%{version}
cp -a . %{py3dir} 

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root=%{buildroot}


%files
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/*

%files -n python3-pyasn1-modules
%doc CHANGES.txt LICENSE.txt README.txt
%{python3_sitelib}/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1:0.0.7-3.mga6
+ Revision: 970564
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 1:0.0.7-2.mga6
+ Revision: 887196
- rebuild with new python-3.5

* Sat Sep 12 2015 spuhler <spuhler> 1:0.0.7-1.mga6
+ Revision: 878349
- upgrade to vers. 0.0.7

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.5-9.mga5
+ Revision: 739850
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:0.0.5-8.mga5
+ Revision: 729375
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.5-7.mga5
+ Revision: 688234
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1:0.0.5-6.mga5
+ Revision: 628923
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:0.0.5-5.mga4
+ Revision: 543947
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:0.0.5-4.mga4
+ Revision: 499137
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1:0.0.5-3.mga4
+ Revision: 491659
+ rebuild (emptylog)

* Sat Oct 05 2013 philippem <philippem> 1:0.0.5-2.mga4
+ Revision: 491650
- add epoch to obsolete pyasn1-modules

* Wed Aug 07 2013 philippem <philippem> 0.0.5-2.mga4
+ Revision: 464312
- add rename directive to remove pyasn1-modules package

* Wed Jul 31 2013 philippem <philippem> 0.0.5-1.mga4
+ Revision: 461862
- update to 0.0.5 and add Python 3

* Sun Feb 17 2013 spuhler <spuhler> 0.0.4-5.mga3
+ Revision: 398839
- bumped rel

* Sat Feb 16 2013 spuhler <spuhler> 0.0.4-4.mga3
+ Revision: 398704
- removed Obsoletes: python-pyasn1-modules <= 0.0.4-2

* Sat Feb 09 2013 spuhler <spuhler> 0.0.4-3.mga3
+ Revision: 397633
- added Obsoletes: python-pyasn1-modules <= 0.0.4-2

* Fri Feb 08 2013 spuhler <spuhler> 0.0.4-2.mga3
+ Revision: 395279
- replaced BuildRequires: python-distribute with python-pkg-resources

* Sat Jan 26 2013 spuhler <spuhler> 0.0.4-1.mga3
+ Revision: 392334
- cleaned spec file
- cleaned spec file
- imported package python-pyasn1-modules


* Fri Jul 27 2012 michael@stroeder.com
- Update to upstrean release 0.0.4
  The pyasn1-modules collection now includes Certificate Management Protocol
  (RFC4210) data structures.
* Mon Apr 23 2012 michael@stroeder.com
- Update to upstrean release 0.0.3
* Fri Mar 23 2012 michael@stroeder.com
- Initial submission of upstream release 0.0.2
